=== debian/changelog ===
libdsme (0.60.30+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Thu, 11 Feb 2010 13:29:49 +0200

libdsme (0.60.30) unstable; urgency=low

  * Fixes: NB#153879: dsmetool crash due to connection is closed 

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Mon, 08 Feb 2010 12:44:53 +0300
