## libdsme 0.64.1%2B15.10.20150929

=== debian/control ===
Source: libdsme
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antti Virtanen <antti.i.virtanen@nokia.com>
Build-Depends: check,
               debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev,
               pkg-config,
Standards-Version: 3.9.5
Homepage: https://github.com/nemomobile/libdsme

Package: libdsme0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: DSME dsmesock dynamic library
 This package contains dynamic libraries for programs that communicate with the
 Device State Management Entity.

Package: libdsme0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdsme0 (= ${binary:Version}),
Description: Development files for dsme
 This package contains headers and static libraries needed to develop programs
 that want to communicate with the Device State Management Entity.
