=== debian/changelog ===
libdsme (0.64.1+15.10.20150929-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * New package. 
  * debian/patches/libdir.patch
    - Fixed links and make multi-arch friendly
  * New package. debian/patches/libdir.patch Fixed links and make multi-
    arch friendly debhelper (>= 9), dh-autoreconf, libglib2.0-dev, pkg-
    config, ${shlibs:Depends}, ${shlibs:Depends}, libdsme0 (=
    ${binary:Version}), dh_auto_install # remove tests rm -rf
    debian/tmp/opt dh $@ --fail-missing removed: debian/
    debian/README.Debian debian/api debian/changelog debian/compat
    debian/control debian/control-testcases debian/copyright debian/docs
    debian/libdsme0.2.0-dev.dirs debian/libdsme0.2.0-dev.install
    debian/libdsme0.2.0.dirs debian/libdsme0.2.0.install debian/rules
    added: .bzr-builddeb/ .bzr-builddeb/default.conf debian/
    debian/changelog debian/compat debian/control debian/control-
    testcases debian/copyright debian/libdsme0-dev.install
    debian/libdsme0.install debian/patches/ debian/patches/libdir.patch
    debian/patches/series debian/rules debian/source/
    debian/source/format
  * initial package

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 29 Sep 2015 19:17:21 +0000
