=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

override_dh_auto_install:
	dh_auto_install
	# remove tests
	rm -rf debian/tmp/opt

%:
	dh $@ --fail-missing
